1. Send message
Ant CRM API
  • Leads
    • Create Lead
      POST
    • Get Leads
      GET
  • Users
    • Get users
      GET
    • Get user details
      GET
  • Whatsapp
    • Send message
      • Template message
        POST
      • Text message
        POST
      • Media message
        POST
    • Get messages
      GET
  1. Send message

Template message

POST
/api/{{version}}/whatsapp/messages/

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.antcrm.co/api/v1/whatsapp/messages/?client=2f8276bc-6331-481c-9bc5-47b82a0bf418&lead=b96f6821-f526-45e1-8025-1ac2f2d1406&phone_number=919876543210' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
  "type": "template",
  "template": "greetings",
  "language": "en_US",
  "template_id": "929041192962069",
  "category": "MARKETING",
  "preview_template": {
    "id": "929041192962069",
    "language": "en_US",
    "name": "greetings",
    "status": "APPROVED",
    "category": "MARKETING"
  },
  "components": [
    {
      "type": "header",
      "parameters": [
        {
          "type": "image",
          "image": {
            "link": "https://s3.ap-south-1.amazonaws.com/www.workaxis.in/Ant+CRM+AI.png"
          }
        }
      ]
    },
    {
      "type": "body",
      "parameters": [
        {
          "type": "text",
          "text": "Magizh"
        },
        {
          "type": "text",
          "text": "New year"
        }
      ]
    }
  ]
}'
Response Response Example
{
    "error": false,
    "data": {
        "id": "ddf4f9cc-7bed-4012-b571-f269028b2c54",
        "created_on": "2026-03-14T17:45:39.855772Z",
        "last_updated_on": "2026-03-14T17:45:43.431889Z",
        "message_id": "wamid.HBgMOTE4NzU0NTMzNjgzFQIAERgSMURCQUE5RjY2NkM5QjBGREY2AA==",
        "sender": "883595854832634",
        "receiver": "918754533683",
        "message_text": null,
        "lat": null,
        "long": null,
        "emoji": null,
        "template": {
            "id": "929041192962069",
            "language": "en_US",
            "name": "greetings",
            "category": "MARKETING",
            "components": []
        },
        "type": "template",
        "status": "pending",
        "is_reply": false,
        "bulk_batch": null,
        "has_attachment": false,
        "attachment_type": null,
        "attachment": null,
        "data": {
            "messaging_product": "whatsapp",
            "contacts": [
                {
                    "input": "918754533683",
                    "wa_id": "918754533683"
                }
            ],
            "messages": [
                {
                    "id": "wamid.HBgMOTE4NzU0NTMzNjgzFQIAERgSMURCQUE5RjY2NkM5QjBGREY2AA==",
                    "message_status": "accepted"
                }
            ]
        },
        "parent": null
    }
}
Modified at 2026-03-15 16:53:37
Previous
Get user details
Next
Text message
Built with